<testsuites>
  <!--Report is generated by Rally 1.5.1 at 2020-05-13T20:06:26-->
  <testsuite errors="0" failures="0" id="6a2ef193-ade4-4286-8642-0f0dc5e33f91" skipped="0" tests="6" time="28.00" timestamp="2020-05-13T19:48:01">
    <testcase classname="Authenticate" id="5f6f3378-7b70-44f8-a39c-8ad6bbc69347" name="keystone" time="3.82" timestamp="2020-05-13T19:48:05" />
    <testcase classname="Authenticate" id="fc99772d-5164-4802-8b36-d86553213486" name="validate_cinder" time="3.93" timestamp="2020-05-13T19:48:09" />
    <testcase classname="Authenticate" id="d2c93e50-f66b-4399-a3ab-5df95a4b8fe6" name="validate_glance" time="3.59" timestamp="2020-05-13T19:48:13" />
    <testcase classname="Authenticate" id="b47353c1-a35b-4da2-afaa-2f773ef02436" name="validate_heat" time="3.30" timestamp="2020-05-13T19:48:17" />
    <testcase classname="Authenticate" id="80de5cba-e0fc-4033-82d9-e5dbabb688c3" name="validate_neutron" time="4.01" timestamp="2020-05-13T19:48:21" />
    <testcase classname="Authenticate" id="d1577231-af29-453a-95c1-19a9e4757525" name="validate_nova" time="3.37" timestamp="2020-05-13T19:48:25" />
  </testsuite>
  <testsuite errors="0" failures="0" id="3a16f1d1-6e3b-44a7-8682-4ae7dba54fe1" skipped="0" tests="4" time="57.00" timestamp="2020-05-13T19:48:37">
    <testcase classname="GlanceImages" id="71c88057-2a4a-4ff6-91ab-ffa067fa5bf2" name="create_and_delete_image" time="7.53" timestamp="2020-05-13T19:48:42" />
    <testcase classname="GlanceImages" id="b446f774-7779-40b8-8d5e-a73b651f982d" name="create_and_list_image" time="8.02" timestamp="2020-05-13T19:48:50" />
    <testcase classname="GlanceImages" id="b2f1244a-9123-41f0-89da-114df01f3556" name="list_images" time="3.48" timestamp="2020-05-13T19:48:58" />
    <testcase classname="GlanceImages" id="000b9f26-8356-41b7-b14d-27294844a646" name="create_image_and_boot_instances" time="31.77" timestamp="2020-05-13T19:49:02" />
  </testsuite>
  <testsuite errors="0" failures="0" id="e87fa189-0430-4b22-999c-0daa59a218d8" skipped="0" tests="10" time="121.00" timestamp="2020-05-13T19:49:43">
    <testcase classname="CinderVolumes" id="38f4de0b-ce27-4bc7-a91a-856233afc2a6" name="create_and_delete_snapshot" time="15.40" timestamp="2020-05-13T19:49:49" />
    <testcase classname="CinderVolumes" id="9d666336-6c29-4aa0-8335-4318d7789857" name="create_and_delete_volume" time="10.79" timestamp="2020-05-13T19:50:05" />
    <testcase classname="CinderVolumes" id="febfc6d7-cefe-4844-9136-4dc78f3dd475" name="create_and_delete_volume" time="14.71" timestamp="2020-05-13T19:50:17" />
    <testcase classname="CinderVolumes" id="644848e3-9103-40b0-a5fc-fcc22cc87b7b" name="create_and_delete_volume" time="9.80" timestamp="2020-05-13T19:50:33" />
    <testcase classname="CinderVolumes" id="c781dd7a-c69e-48e2-9256-3535316e5c95" name="create_and_extend_volume" time="12.76" timestamp="2020-05-13T19:50:43" />
    <testcase classname="CinderVolumes" id="c4a14382-d9a3-4356-8695-1ac82761c432" name="create_from_volume_and_delete_volume" time="16.34" timestamp="2020-05-13T19:50:57" />
    <testcase classname="CinderQos" id="d6ceac6f-8895-4561-9c97-a97d4e67e976" name="create_and_list_qos" time="5.98" timestamp="2020-05-13T19:51:15" />
    <testcase classname="CinderQos" id="7008d062-5672-456a-a175-dba2f2a977df" name="create_and_set_qos" time="5.76" timestamp="2020-05-13T19:51:22" />
    <testcase classname="CinderVolumeTypes" id="5486e331-6de6-4f57-a841-1324905c06b1" name="create_and_list_volume_types" time="6.34" timestamp="2020-05-13T19:51:28" />
    <testcase classname="CinderVolumeTypes" id="3c5e2bdd-dc18-4d3f-a6a5-c2d2da5943c7" name="create_volume_type_and_encryption_type" time="6.31" timestamp="2020-05-13T19:51:36" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a4549f20-e113-407e-b84a-6276c5c4988d" skipped="0" tests="4" time="53.00" timestamp="2020-05-13T19:51:52">
    <testcase classname="HeatStacks" id="1fb7111f-fdef-4970-bb16-aca018cc2592" name="create_update_delete_stack" time="12.65" timestamp="2020-05-13T19:52:01" />
    <testcase classname="HeatStacks" id="1f8b95e7-0e96-4cb1-aba0-a4ea77639b65" name="create_check_delete_stack" time="10.75" timestamp="2020-05-13T19:52:15" />
    <testcase classname="HeatStacks" id="02b0fbd8-c808-46c8-8425-1981ebb6f62b" name="create_suspend_resume_delete_stack" time="10.22" timestamp="2020-05-13T19:52:27" />
    <testcase classname="HeatStacks" id="84565b9b-db08-44d2-a956-ffb1ae975f66" name="list_stacks_and_resources" time="4.88" timestamp="2020-05-13T19:52:39" />
  </testsuite>
  <testsuite errors="0" failures="0" id="0848f74f-f16d-4b4e-a5c9-897b9936f37e" skipped="0" tests="11" time="98.00" timestamp="2020-05-13T19:52:54">
    <testcase classname="KeystoneBasic" id="b5bcf32a-5541-4ba3-ad60-6d468f21b3bc" name="add_and_remove_user_role" time="7.01" timestamp="2020-05-13T19:52:58" />
    <testcase classname="KeystoneBasic" id="b42d85d6-7e24-46df-a55c-080f73647e85" name="create_add_and_list_user_roles" time="6.78" timestamp="2020-05-13T19:53:07" />
    <testcase classname="KeystoneBasic" id="2f9c53eb-48b1-46cf-b044-d83b95bbfe9a" name="create_and_list_tenants" time="7.20" timestamp="2020-05-13T19:53:15" />
    <testcase classname="KeystoneBasic" id="a0a91f1b-9377-4035-9a67-cdd533bc0eef" name="create_and_delete_role" time="5.14" timestamp="2020-05-13T19:53:23" />
    <testcase classname="KeystoneBasic" id="7a280076-4700-4424-8f3e-a3293c431c6c" name="create_and_delete_service" time="4.81" timestamp="2020-05-13T19:53:29" />
    <testcase classname="KeystoneBasic" id="eae9ad08-73c5-45bc-888b-aa2614d5ec9d" name="get_entities" time="10.34" timestamp="2020-05-13T19:53:35" />
    <testcase classname="KeystoneBasic" id="938fab13-36e4-4da1-854b-1efa9c100852" name="create_update_and_delete_tenant" time="5.57" timestamp="2020-05-13T19:53:47" />
    <testcase classname="KeystoneBasic" id="acff64d9-f587-4430-8be2-9be38dd64604" name="create_user" time="6.54" timestamp="2020-05-13T19:53:53" />
    <testcase classname="KeystoneBasic" id="626e4634-2e95-4c0c-802b-fab83f90131a" name="create_tenant" time="6.60" timestamp="2020-05-13T19:54:01" />
    <testcase classname="KeystoneBasic" id="bd2e424b-b2ed-46b2-9064-c8e8969ed95f" name="create_and_list_users" time="6.79" timestamp="2020-05-13T19:54:10" />
    <testcase classname="KeystoneBasic" id="e5171acd-6eda-4a0a-88f1-81774e1b19c2" name="create_tenant_with_users" time="13.27" timestamp="2020-05-13T19:54:18" />
  </testsuite>
  <testsuite errors="0" failures="0" id="c6170fb8-ea77-4829-9447-2e5193e7a988" skipped="0" tests="11" time="175.00" timestamp="2020-05-13T19:54:40">
    <testcase classname="NeutronNetworks" id="5e2fdd62-4426-4f14-aa84-6290b21f5ca3" name="create_and_delete_networks" time="8.40" timestamp="2020-05-13T19:54:45" />
    <testcase classname="NeutronNetworks" id="be55db71-61a6-49b8-ae6c-4aa1054f6ef3" name="create_and_delete_ports" time="13.16" timestamp="2020-05-13T19:54:55" />
    <testcase classname="NeutronNetworks" id="d94963e6-81d9-4629-8b22-5c2c758806c2" name="create_and_delete_routers" time="21.62" timestamp="2020-05-13T19:55:09" />
    <testcase classname="NeutronNetworks" id="250672df-347d-4c4b-ae91-ade48819d7f2" name="create_and_delete_subnets" time="15.68" timestamp="2020-05-13T19:55:31" />
    <testcase classname="NeutronNetworks" id="4c670797-5f68-492b-84eb-17dcba41e182" name="create_and_list_networks" time="9.36" timestamp="2020-05-13T19:55:48" />
    <testcase classname="NeutronNetworks" id="1c3b1187-6159-480c-9ae8-0530edb28860" name="create_and_list_ports" time="17.76" timestamp="2020-05-13T19:55:58" />
    <testcase classname="NeutronNetworks" id="9808b526-9de7-402e-915c-2ea0026973f0" name="create_and_list_routers" time="26.30" timestamp="2020-05-13T19:56:16" />
    <testcase classname="NeutronNetworks" id="e66f8d1b-386d-436d-afe0-f4072f7bdc18" name="create_and_list_subnets" time="13.79" timestamp="2020-05-13T19:56:44" />
    <testcase classname="NeutronSecurityGroup" id="82686df9-e632-444f-8d56-6adff3b981f7" name="create_and_delete_security_groups" time="6.35" timestamp="2020-05-13T19:56:58" />
    <testcase classname="NeutronSecurityGroup" id="650bd3ac-9020-49c0-9751-6be05f3e4f33" name="create_and_delete_security_group_rule" time="7.80" timestamp="2020-05-13T19:57:06" />
    <testcase classname="NeutronNetworks" id="2df8ab66-5607-423a-883f-4e72e269ac31" name="set_and_clear_router_gateway" time="19.54" timestamp="2020-05-13T19:57:14" />
  </testsuite>
  <testsuite errors="0" failures="0" id="425d45fd-8183-4051-a78c-810035ea2714" skipped="0" tests="10" time="432.00" timestamp="2020-05-13T19:57:43">
    <testcase classname="NovaServers" id="54898d44-c017-4bf7-a068-015dcd5c2b1b" name="boot_and_live_migrate_server" time="33.16" timestamp="2020-05-13T19:57:55" />
    <testcase classname="NovaServers" id="f9e52c3c-6e8c-45fe-b84a-41421515c0cf" name="boot_server_attach_created_volume_and_live_migrate" time="50.53" timestamp="2020-05-13T19:58:29" />
    <testcase classname="NovaServers" id="9599ab16-2690-47d4-9751-ba71b3363e2f" name="boot_server_from_volume_and_live_migrate" time="44.63" timestamp="2020-05-13T19:59:21" />
    <testcase classname="NovaKeypair" id="bb7d05af-b4df-4b62-b205-da680e95b752" name="boot_and_delete_server_with_keypair" time="38.31" timestamp="2020-05-13T20:00:08" />
    <testcase classname="NovaServers" id="59e817c9-a3bf-4d2d-9f5a-4b5dc3327150" name="boot_server_from_volume_and_delete" time="44.84" timestamp="2020-05-13T20:00:48" />
    <testcase classname="NovaServers" id="fe660c92-9506-4560-9b9e-adae0d714b10" name="pause_and_unpause_server" time="44.88" timestamp="2020-05-13T20:01:34" />
    <testcase classname="NovaServers" id="132fdf64-d2e9-4ddb-b14e-4d719b1e9656" name="boot_and_migrate_server" time="48.37" timestamp="2020-05-13T20:02:20" />
    <testcase classname="NovaServers" id="1c3f5758-33b1-4aae-85b2-e6c990444c35" name="boot_server_and_list_interfaces" time="43.34" timestamp="2020-05-13T20:03:11" />
    <testcase classname="NovaServers" id="8b1245d3-7a87-468e-8ef5-8b636909e880" name="boot_server_associate_and_dissociate_floating_ip" time="52.99" timestamp="2020-05-13T20:03:55" />
    <testcase classname="NovaServerGroups" id="b7545192-ef6c-48f6-b002-a948b628f4d8" name="create_and_delete_server_group" time="4.09" timestamp="2020-05-13T20:04:49" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5b069791-7a1d-4789-bb33-1a5a38d12c44" skipped="0" tests="4" time="22.00" timestamp="2020-05-13T20:05:04">
    <testcase classname="Quotas" id="50e6d556-fa48-418b-898a-87c9bbd3e85b" name="cinder_update_and_delete" time="4.36" timestamp="2020-05-13T20:05:08" />
    <testcase classname="Quotas" id="9d54368b-b859-49c5-9d34-b39cd797d497" name="cinder_update" time="3.59" timestamp="2020-05-13T20:05:14" />
    <testcase classname="Quotas" id="8d496817-7836-4e2e-ab07-458bf918332a" name="neutron_update" time="3.84" timestamp="2020-05-13T20:05:18" />
    <testcase classname="Quotas" id="9d40fd92-f9dc-48b5-80a3-8f08e87f0b62" name="nova_update" time="3.39" timestamp="2020-05-13T20:05:22" />
  </testsuite>
  <testsuite errors="0" failures="0" id="281f01bf-e34f-4527-9a87-c4e797c38c46" skipped="0" tests="5" time="41.00" timestamp="2020-05-13T20:05:34">
    <testcase classname="SwiftObjects" id="cec48651-48ee-4b55-a712-2e5865891980" name="create_container_and_object_then_list_objects" time="8.00" timestamp="2020-05-13T20:05:38" />
    <testcase classname="SwiftObjects" id="3c3a7322-1c06-4a53-8df1-1df4f7a9f2ca" name="list_objects_in_containers" time="6.21" timestamp="2020-05-13T20:05:46" />
    <testcase classname="SwiftObjects" id="9843d1d6-6c93-4d2c-9d7e-c5302b79b693" name="create_container_and_object_then_download_object" time="7.84" timestamp="2020-05-13T20:05:54" />
    <testcase classname="SwiftObjects" id="35f93326-56c1-4e12-a3ad-a13acf6618d2" name="create_container_and_object_then_delete_all" time="4.84" timestamp="2020-05-13T20:06:02" />
    <testcase classname="SwiftObjects" id="7f8508f9-4bf6-4fba-986e-cfe745905989" name="list_and_download_objects_in_containers" time="5.47" timestamp="2020-05-13T20:06:09" />
  </testsuite>
</testsuites>
